baseMethods {fBasics} | R Documentation

## Generic Functions Extensions

### Description

Basic extensions which which add and/or modify additional functionality which is not available in R's basic packages.

Added and/or modified functions:

`attach` | extends attach function,
`rank` | extends rank function,
`stdev` | adds stdev function,
`termPlot` | adds term plot function,
`volatility` | adds volatility function.

### Usage

    ## Default S3 method:
    stdev(x, na.rm = FALSE)

    ## Default S3 method:
    termPlot(model, ...)

    ## Default S3 method:
    volatility(object, ...)

### Arguments

`na.rm` | an logical value - should the NA values be removed.
`model` | a fitted model object.
`object` | an object from which to extract the volatility.
`x` | [align] - x-coordinates of the points to be aligned. [log][sort][var] - first argument. [print.control] - cr prints an unlisted object of class control. [as.matrix.ts][as.matrix.mts] - an univariate or multivariate time series object of class `"ts"` or `"mts"` which will be transformed into an one-column or multi-column rectangular object of class `"matrix"`. [as.POSIXlt] - an object to be converted.
`...` | arguments to be passed.

### Details

For details we refer to the original help pages.

[Package fBasics version 3042.89 Index]